<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Казарма</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik2='1'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="kazarma.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_2 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"<a href='kazarma.php?make=1&der=$key'>Военные</a>[$re2[peh]][$re2[kon]][$re2[str]]<br/>";
echo'------<br/><a href="../game.php?make=8&s=3&der='.$key.'">Построить Дом войны</a><br/>';
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT * FROM kmb WHERE strana ='$re1[strana]' and voin='1'"));
$u1=time();$u2=$sp[time]-$u1;
if($sp[data]>$u2){
$sec = $u2;
$min = floor($sec/60);$sec-=$min*60;
echo"{Идёт обучение}(<b>$min м. $sec c.</b>)<br/>";
}else{
if(empty($_GET[k])){
echo"Свободные военные :<br/>";
if($re2[peh]>0){echo"Пехотинцы ($re2[peh])<br/>";}
if($re2[kon]>0){echo"Кавалеристы ($re2[kon])<br/>";}
if($re2[str]>0){echo"Стрелки ($re2[str])<br/>";}
echo"<a href='kazarma.php?make=1&k=1&der=$key'>Обучить пехотинцев</a><br/><a href='kazarma.php?make=1&k=3&der=$key'>Уволить</a><br/>";
}
if($_GET[k]==1){
if($re0[izo]!=1){echo"<img src='../../izo/peh.png'>";}
echo"<FORM ACTION='kazarma.php?make=1&k=2&der=$key' METHOD='POST'>";?>
Рабочие :<br/><input type="text" name="rab" maxlength="10" value="<?=$re2[rab];?>" size="10"/><br/>
Учёные:<br/><input type="text" name="bot" maxlength="10" value="<?=$re2[bot];?>" size="10"/><br/>
<INPUT TYPE='submit'VALUE='Обучить'></FORM><br/><?
}
if($_GET[k]==2){
if($re0[izo]!=1){echo"<img src='../../izo/peh.png'>";}
$e1=zif($_POST[rab]);$e2=zif($_POST[bot]);
if($re2[rab]>=$e1 and $re2[bot]>=$e2){
$den=12;$met=4;$zer=10;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;
if($re2[dengi]>=$q1 and $re2[metal]>=$q2 and $re2[zerno]>=$q3){
$ty=round(($e1*600)/$e2);$yt=round($ty/60);$tim1=time();$tim2=$tim1+$ty;
echo"Обучение займёт $yt минут,<br/>Стоимость :Деньги ($q1),Железо ($q2),Зерно ($q3)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Обучение займёт $yt минут (пехота)($e1)')");
qw("INSERT INTO kmb (strana,rab,voin,bot,data,time) VALUES('$re1[strana]','$e1','1','$e2','$ty','$tim2')");
qw("UPDATE gos2 SET rab=rab-'$e1',bot=bot-'$e2',dengi=dengi-'$q1',metal=metal-'$q2',zerno=zerno-'$q3' WHERE strana='$re1[strana]'");
}else{
echo"Не хватает ресурсов,нужно :<br/>Деньги ($q1),Железо ($q2),Зерно ($q3)<br/>";
}
}else{
echo"Нет столько рабочих или учёных!<br/>";
}
}
if($_GET[k]==3){
if($re2[peh]>0 or $re2[kon]>0 or $re2[str]>0){
echo"<FORM ACTION='kazarma.php?make=1&k=4&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Уволить'></FORM><br/><?
}else{echo"Нет свободных военных<br/>";}
}
if($_GET[k]==4){
if($re2[peh]>0 or $re2[kon]>0 or $re2[str]>0){
$peh=zif($_POST[peh]);$kon=zif($_POST[kon]);$str=zif($_POST[str]);
if($re2[peh]>=$peh and $re2[kon]>=$kon and $re2[str]>=$str){
$den=(6*$peh)+(14*$kon)+(18*$str);$met=(2*$peh)+(4*$kon)+(6*$str);$kam=(5*$kon)+(8*$str);$der=(4*$kon)+(6*$str);$zer=(5*$peh)+(18*$kon)+(24*$str);
$rab=$peh+$kon+$str;
/////////////////////////////////////////////////
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
////////////////////////////////////////////////
if($x>$met){$x=$x-$met;}else{$met=$x;$x=0;}if($met<0){$met=0;}
if($x>$kam){$x=$x-$kam;}else{$kam=$x;$x=0;}if($kam<0){$kam=0;}
if($x>$der){$x=$x-$der;}else{$der=$x;$x=0;}if($der<0){$der=0;}
if($x>$zer){$x=$x-$zer;}else{$zer=$x;$x=0;}if($zer<0){$zer=0;}
qw("UPDATE gos2 SET rab=rab+'$rab',dengi=dengi+'$den',metal=metal+'$met',kamen=kamen+'$kam',derevo=derevo+'$der',zerno=zerno+'$zer',
peh=peh-'$peh',kon=kon-'$kon',str=str-'$str' WHERE strana='$re1[strana]'");
echo"Военные уволены,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),зерно($zer)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Военные уволены,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),зерно($zer)')");
}else{echo"Нет столько военных<br/>";}
}else{echo"Нет свободных военных<br/>";}
}

}
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_2 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='kazarma.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='kazarma.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='kazarma.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: kazarma.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: kazarma.php?make=oxp&der=$key");
}else{header("Location: kazarma.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='kazarma.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: kazarma.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: kazarma.php?make=oxp&der=$key");
}else{header("Location: kazarma.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>